Name:           ocaml-async
Version:        108.07.01
Release:        %mkrel 2
Summary:        Jane Street Capital's asynchronous execution library
License:        LGPL-2.1 with OCaml linking exception
Group:          Development/OCaml
URL:            https://bitbucket.org/yminsky/ocaml-core/wiki/Home
Source0:        https://ocaml.janestreet.com/ocaml-core/%{version}/individual/async-%{version}.tar.gz
BuildRequires:  ocaml-compiler >= 3.12.1
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-sexplib == %{version}
BuildRequires:  ocaml-fieldslib == %{version}
BuildRequires:  ocaml-bin-prot == %{version}
BuildRequires:  ocaml-comparelib == %{version}
BuildRequires:  ocaml-pa_ounit == %{version}
BuildRequires:  ocaml-pipebang == %{version}
BuildRequires:  ocaml-janest-core == %{version}
BuildRequires:  ocaml-async_core == %{version}
BuildRequires:  ocaml-async_unix == %{version}
BuildRequires:  ocaml-async_extra == %{version}

%description
Jane Street Capital's asynchronous execution library

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n async-%{version}

%build
sh configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --docdir %{_docdir}/%{name}-devel/ \
    --destdir %{buildroot}

make
make doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/async
make install

%files
%doc LICENSE.txt THIRD-PARTY.txt INRIA-DISCLAIMER.txt
%dir %{_libdir}/ocaml/async
%{_libdir}/ocaml/async/META
%{_libdir}/ocaml/async/*.cmi
%{_libdir}/ocaml/async/*.cma
%{_libdir}/ocaml/async/*.cmxs

%files devel
%{_docdir}/%{name}-devel
%{_libdir}/ocaml/async/*.a
%{_libdir}/ocaml/async/*.cmxa
%{_libdir}/ocaml/async/*.ml


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 108.07.01-2.mga3
+ Revision: 361141
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 23 2012 blue_prawn <blue_prawn> 108.07.01-1.mga3
+ Revision: 321301
- build requires janest-core
- build requires pipebang
- build requires pa_ounit
- build requires comparelib
- build requires compare
- build requires bin_prot
- build requires fieldslib
- build requires sexplib
- imported package ocaml-async

